WebYep WYLoopElement.php webyep_sIncludePath Variable Remote File Inclusion

2006-10-09T09:19:42
ID OSVDB:29661
Type osvdb
Reporter the_day(the_day@echo.or.id)
Modified 2006-10-09T09:19:42

Description

Vulnerability Description

WebYep contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to WYLoopElement.php not properly sanitizing user input supplied to the 'webyep_sIncludePath' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

Technical Description

This vulnerability is only present when the register_globals PHP option is set to 'on'. This has not been the default setting for PHP installs since version 4.2.0 (22-Apr-2002).

Solution Description

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Short Description

WebYep contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to WYLoopElement.php not properly sanitizing user input supplied to the 'webyep_sIncludePath' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

References:

Vendor URL: http://www.obdev.at/ Secunia Advisory ID:22336 Other Advisory URL: http://advisories.echo.or.id/adv/adv48-theday-2006.txt Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2006-10/0113.html Keyword: ECHO_ADV_48$2006 ISS X-Force ID: 29397 Generic Exploit URL: http://www.milw0rm.com/exploits/2496 FrSIRT Advisory: ADV-2006-3972 CVE-2006-5220 Bugtraq ID: 20406